<?php
// ================================================
//
//  Exemplo de utilização da API HTTP SMSBULK.PT
//  (c) 2015 Delivoice, Lda
//
//  Este script é compatível com as versões 1.x 
//  da API
//
//  O código possui como exemplo duas formas 
//  alternativas de envio: GET e POST.
//  
//  Este código deve ser utilizado apenas como 
//  referência / ajuda no desenvolimento da sua 
//  própria ligação.
//  
//  Se necessita ajuda no desenvolvimento ou está 
//  com problemas que não encontra na documentação, 
//  contacte-nos:  suporte@smsbulk.com.pt
//
// ================================================

ini_set('display_errors',1);
ini_set('display_startup_errors',1);
error_reporting(-1);

// Parâmetros a submeter ao servidor SMSBulk
$sms_content = array(
    'uid' => 'xxxxxxxxxxxxxxxxxxxx', // Obtenha o UID em: Minha Conta > API HTTP
    'pwd' => 'xxxxxx',               // A sua password de acesso à conta SMSBulk
    'tel' => '900000000',            // Número de destino, SEM prefixo internacional
    'msg' => 'Aqui vai uma mensagem de teste', // Conteúdo da mensagem a enviar
    'rem' => 'SMSBulk',             // Remetente a utilizar. Opcional. Tem que ser previamente registado e aprovado em: Minha Conta > Remetentes
    'dth' => '2015-07-30 15:00',    // Data e Hora de Envio. Opcional. Formato: AAAA-MM-DD HH:MI
    'uni' => '',                    // Enviar Mensagem Unicode. Opcional. Quando especificado, enviar valor: 1
    'lct' => '',                    // Utilizar rota "Low Cost". Opcional. Quando especificado, enviar valor: 1
    'flh' => '',                    // Enviar "SMS Flash". Opcional. Quando especificado, enviar valor: 1. Se for ativada a opção "uni", este parâmetro será ignorado.
    'dbg' => '1',                   // Modo Debug. Opcional. Quando especificado, enviar valor: 1.
);


// URL da API HTTP 1.x
$url = 'http://www.smsbulk.pt/api-http-v1/sms_send.php';


// Tipo de teste
$tipo_teste = 'POST'; // Altere para o teste pretendido: POST ou GET


// ================================================
//
//    EXEMPLO DE ENVIO PELO MÉTODO "GET"
//
if($tipo_teste == 'GET') {
    // Adicionar parâmetros ao URL
    $url .= '?';
    foreach($sms_content as $k => $v) 
        if($v)
            $url .= $k.'='.urlencode($v).'&';

    // Inicializar CURL
    $ch = curl_init();
    curl_setopt( $ch, CURLOPT_URL, $url);
    curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
    curl_setopt( $ch, CURLOPT_TIMEOUT, 20);
    
    // Enviar pedido ao servidor
    $resposta = curl_exec( $ch );
    curl_close ( $ch );
}


// ================================================
//
//    EXEMPLO DE ENVIO PELO MÉTODO "POST"
//
if($tipo_teste == 'POST') {
    
    // Inicializar CURL
    $ch = curl_init();
    curl_setopt( $ch, CURLOPT_URL, $url);
    curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
    curl_setopt( $ch, CURLOPT_TIMEOUT, 20);
    curl_setopt( $ch, CURLOPT_POST, 1);
    curl_setopt( $ch, CURLOPT_POSTFIELDS, $sms_content);
    
    // Enviar pedido ao servidor
    $resposta = curl_exec( $ch );
    curl_close ( $ch );
}


// Se estamos em debug, mostrar a resposta integral do servidor
if($sms_content['dbg'] == 1) {
    header("Content-type: text/plain; charset=utf-8");
    print $resposta;
}

// Em produção deveremos interpretar a resposta
else {
    // Interpretar a resposta
    $res = explode('|', $resposta);

    // Envio OK
    if($res[0] == 'OK') {
        print "Envio foi OK - ID da mensagem: ".$res[1]." - Custo de Envio: ".$res[2];
    } 
    // Erro de envio
    else {
        print "Erro de envio - Código do Erro: ".$res[1]." - Custo de Envio: ".$res[2];
    }
}